# nng_bus_open(3) Manual Page

## NAME

nng_bus_open - create bus socket

## SYNOPSIS

    #include <nng/nng.h>
    #include <nng/protocol/bus0/bus.h>

    int nng_bus0_open(nng_socket *s);

    int nng_bus0_open_raw(nng_socket *s);

## DESCRIPTION

The `nng_bus0_open()` function creates a bus version 0 socket and returns it at the location pointed to by s.

The `nng_bus0_open_raw()` function creates a bus version 0 socket in raw mode, and returns it at the location pointed to by s.

## RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

## ERRORS

`NNG_ENOMEM` | Insufficient memory is available.
`NNG_ENOTSUP` | The protocol is not supported.

## SEE ALSO

nng_socket(5), nng_bus(7), nng(7)